Package com.massivecraft.factions.struct

## Enum Relation

- java.lang.Object
- - java.lang.Enum<Relation>
  - - com.massivecraft.factions.struct.Relation

All Implemented Interfaces:
  `Permissable`, `java.io.Serializable`, `java.lang.Comparable<Relation>`, `java.lang.constant.Constable`

    public enum Relation
    extends java.lang.Enum<Relation>
    implements Permissable

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`ALLY` |
`ENEMY` |
`MEMBER` |
`NEUTRAL` |
`TRUCE` |

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`java.lang.String` | `nicename` |
`int` | `value` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`org.bukkit.inventory.ItemStack` | `buildItem()` |
`boolean` | `confDenyBuild​(boolean online)` |
`boolean` | `confDenyUseage()` |
`boolean` | `confPainBuild​(boolean online)` |
`static Relation` | `fromString​(java.lang.String s)` |
`org.bukkit.ChatColor` | `getColor()` |
`java.lang.String` | `getPluralTranslation()` |
`double` | `getRelationCost()` |
`java.lang.String` | `getTranslation()` |
`boolean` | `isAlly()` |
`boolean` | `isAtLeast​(Relation relation)` |
`boolean` | `isAtMost​(Relation relation)` |
`boolean` | `isEnemy()` |
`boolean` | `isMember()` |
`boolean` | `isNeutral()` |
`boolean` | `isTruce()` |
`java.lang.String` | `replacePlaceholders​(java.lang.String string)` |
`java.lang.String` | `toString()` |
`static Relation` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static Relation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.massivecraft.factions.zcore.fperms.Permissable

`name`

### Enum Constant Detail

#### MEMBER

    public static final Relation MEMBER

#### ALLY

    public static final Relation ALLY

#### TRUCE

    public static final Relation TRUCE

#### NEUTRAL

    public static final Relation NEUTRAL

#### ENEMY

    public static final Relation ENEMY

### Field Detail

#### value

    public final int value

#### nicename

    public final java.lang.String nicename

### Method Detail

#### values

    public static Relation[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Relation valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### fromString

    public static Relation fromString​(java.lang.String s)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<Relation>`

#### getTranslation

    public java.lang.String getTranslation()

#### getPluralTranslation

    public java.lang.String getPluralTranslation()

#### isMember

    public boolean isMember()

#### isAlly

    public boolean isAlly()

#### isTruce

    public boolean isTruce()

#### isNeutral

    public boolean isNeutral()

#### isEnemy

    public boolean isEnemy()

#### isAtLeast

    public boolean isAtLeast​(Relation relation)

#### isAtMost

    public boolean isAtMost​(Relation relation)

#### getColor

    public org.bukkit.ChatColor getColor()

#### confDenyBuild

    public boolean confDenyBuild​(boolean online)

#### confPainBuild

    public boolean confPainBuild​(boolean online)

#### confDenyUseage

    public boolean confDenyUseage()

#### getRelationCost

    public double getRelationCost()

#### buildItem

    public org.bukkit.inventory.ItemStack buildItem()

Specified by:
  `buildItem` in interface `Permissable`

#### replacePlaceholders

    public java.lang.String replacePlaceholders​(java.lang.String string)

Specified by:
  `replacePlaceholders` in interface `Permissable`